%global pkgname django-federated-login

Name:           python-django-federated-login
Version:        1.0.0
Release:        1%{?dist}
Summary:        Provides federated logins to django projects

Group:          Development/Languages
License:        MIT
URL:            http://github.com/Bouke/django-federated-login
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-openid == 2.2.5
Requires:       python-openid == 2.2.5
#BuildRequires:  python-flake8
#Requires:       python-flake8
BuildRequires:  python-coverage
Requires:       python-coverage
BuildRequires:  python-tox
Requires:       python-tox
Requires:       python-django
BuildRequires:  python-django

%description

Django Federated Login provides an authentication bridge between 
Django projects and OpenID-enabled identity providers. The bridge is 
pre-wired to be used with a single Google Apps domain, but could be 
extended to be linked with other OpenID providers also. It is different 
from other OpenID consumers as this consumer only allows connecting to
a pre-defined identity provider.

The provided backend matches users based on the e-mail address returned 
from the identity provider. If no matching user could be found, a user 
account can optionally be created.

%prep
%setup -q -n  %{pkgname}-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}

#%check
#flake8 federated_login example tests
 
%files
%doc README.rst LICENSE.txt
%{python_sitelib}/federated_login
%{python_sitelib}/example
%{python_sitelib}/tests
%{python_sitelib}/django_federated_login-*.egg-info

%changelog
* Fri Sep 19 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.0.0-1
- new upstream version

* Tue Feb 11 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.4.0-3
- change to python-django
- rebuild in el7

* Thu Jun 20 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.4.0-2
- change requirement to python-django14

* Wed May 15 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.4.0-1
- New Upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.3.1-1
- New Upstream version

* Mon Sep 17 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.3.0-3
- Fix License
- add python openid to requires

* Fri Sep 14 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.3.0-2
- give better space to description

* Fri Sep 14 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.3.0-1
- Initial Import

